package com.bonus.core.customer.service;

import com.bonus.core.customer.dto.AddCustAddrForAppDTO;
import com.bonus.core.customer.dto.CustHealthExcelModel;
import com.bonus.core.customer.dto.CustInfoDTO;
import com.bonus.core.customer.dto.CustInfoModel;
import com.bonus.core.customer.model.CustInfo;
import com.bonus.core.customer.vo.CustInfoVo;
import com.bonus.domain.CustCasualModel;
import com.bonus.domain.CustInfoAppIdLoginDTO;
import com.bonus.domain.CustInfoAppIdLoginVO;
import org.springframework.web.multipart.MultipartFile;

public interface CustInfoBusiness {

   void addCustAddrForApp(AddCustAddrForAppDTO custAddrDTO);

   void saveCustPhotoCasual(CustInfoModel infoModel);

   void updateDetailInfoCasual(CustInfoModel infoModel);

   CustInfo custCasualBindForApp(CustCasualModel casualModel);

   CustInfoAppIdLoginVO customLoginWithAppId(CustInfoAppIdLoginDTO content, Integer sourceType);

   CustInfoVo queryCustInfo(CustInfoDTO custInfoDTO);

   CustInfoAppIdLoginVO addOrUpdateCustCasual(Integer sourceType, CustInfoAppIdLoginVO result);

   void batchImportCustHealth(MultipartFile excel, CustHealthExcelModel custHealthExcelModel, int headLineNum) throws Exception;

}
